<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class AbuseLIPRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'datum' => 'required',
            'time_from' => 'required',
            'time_to' => 'required',
            'source_ip' => 'required|ip',
        ];
    }

    public function messages()
    {
        return [
            'datum.required' => 'Datum je nužan.',
            'time_from.required' => 'Vrijeme Od je nužno.',
            'time_to.required' => 'Vrijeme Do je nužno.',
            'source_ip.required' => 'Izvorišna IP adresa je nužna.',
            'source_ip.ip' => 'Izvorišna IP adresa je u neispravnom formatu.',
        ];
    }
}
