<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class UserUqidRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'uqid' => 'required|email',
            'date_from' => 'required',
            'date_to' => 'required',
        ];
    }

    public function messages()
    {
        return [
            'date_from.required' => 'Datum Od je nužan.',
            'date_to.required' => 'Datum Do je nužan.',
            'uqid.required' => 'Korisnička oznaka je nužna.',
            'uqid.email' => 'Korisnička oznaka je u neispravnom formatu',
        ];
    }
}
