<?php
/**
 * Created by PhpStorm.
 * User: Srce
 * Date: 16.10.2017.
 * Time: 16:07
 */

namespace App\Repositories;


use App\Models\AcctLog;

class AcctLogQuery
{
    public $input;

    public function __construct()
    {
        $this->input = request()->input();
    }

    public function findUser()
    {
        /*$sql = "select `User-Name`, `Acct-Status-Type`, `acc-start-ts`, `acc-stop-ts` from `acct-log`
        where ((`Acct-Status-Type` = _latin2 'Stop'
        and `acc-start-ts` <= '".$_POST['time']."'
        and `acc-stop-ts` >= '".$_POST['time']."')
        or ( `Acct-Status-Type` = _latin2 'Start' and `acc-start-ts` <= '".$_POST['time']."'))
        and `Calling-Station-Id` = _latin2 '".$_POST['mac']."'
        order by `acc-start-ts`"*/

        $inputTime = datetimeCro2DB($this->input['log_time']);
        $results = AcctLog::where(function ($q) use ($inputTime){
                    $q->whereRaw('`Acct-Status-Type` = _latin2 "Stop"')
                        ->where('acc-start-ts', '<=', $inputTime)
                        ->where('acc-stop-ts', '>=', $inputTime)
                        ->orWhere(function ($sql) use ($inputTime){
                            $sql->whereRaw('`Acct-Status-Type` = _latin2 "Start"')
                                ->where('acc-start-ts', '<=', $inputTime);
                        });
                })
            ->whereRaw('`Calling-Station-Id` = _latin2 "' . $this->input['raw_mac'] . '"')
            ->orderBy('acc-start-ts')
            ->select(['User-Name as username', 'Acct-Status-Type as acct_status', 'acc-start-ts as acc_start', 'acc-stop-ts as acc_stop'])->get();

        return $results;
    }

    public function getTotalSwitchTraffic()
    {
        /*$sql = "select `NAS-IP-Address`,`NAS-Identifier`, sum(`Acct-Output-Octets`)/1024/1024 as Output_MB, sum(`Acct-Input-Octets`)/1024/1024 as Input_MB, (sum(`Acct-Output-Octets`)+sum(`Acct-Input-Octets`))/1024/1024 Total_MB from `acct-log`
        where (DATE(`acc-start-ts`) >= _latin2 '".$datefrom."'
        and DATE(`acc-start-ts`) <= _latin2 '".$dateto."')
        group by `NAS-IP-Address` order by `NAS-IP-Address`";*/

        $results = AcctLog::whereRaw('DATE(`acc-start-ts`) >= _latin2 "' . dateCro2DB($this->input['datum_from_switch_total']) . '"')
                            ->whereRaw('DATE(`acc-start-ts`) <= _latin2 "' . dateCro2DB($this->input['datum_to_switch_total']) . '"')
                            ->groupBy('NAS-IP-Address')->orderBy('NAS-IP-Address')
                            ->selectRaw('`NAS-IP-Address` as NasIp,`NAS-Identifier` as NasId, sum(`Acct-Output-Octets`)/1024/1024 as Output_MB, sum(`Acct-Input-Octets`)/1024/1024 as Input_MB, (sum(`Acct-Output-Octets`)+sum(`Acct-Input-Octets`))/1024/1024 Total_MB ')
                            ->get();

        return $results;
    }

    public function getSwitchStats()
    {
        /*$sql = "select `NAS-Port`, sum(`Acct-Output-Octets`)/1024/1024 as Output_MB, sum(`Acct-Input-Octets`)/1024/1024 as Input_MB, (sum(`Acct-Output-Octets`)+sum(`Acct-Input-Octets`))/1024/1024 Total_MB from `acct-log`
        where `NAS-IP-Address` = _latin2 '".$_POST['switch']."'
        and (DATE(`acc-start-ts`) >= _latin2 '".$datefrom."'
        and DATE(`acc-start-ts`) <= _latin2 '".$dateto."')
        group by `NAS-Port` order by `NAS-Port`";*/

        $results = AcctLog::whereRaw('`NAS-IP-Address` = _latin2 "' . $this->input['nas_ip'] . '"')
                            ->whereRaw('DATE(`acc-start-ts`) >= _latin2 "' . dateCro2DB($this->input['date_from']) . '"')
                            ->whereRaw('DATE(`acc-start-ts`) <= _latin2 "' . dateCro2DB($this->input['date_to']) . '"')
                            ->groupBy('NAS-Port')->orderBy('NAS-Port')
                            ->selectRaw('`NAS-Port` as NasPort, sum(`Acct-Output-Octets`)/1024/1024 as Output_MB, sum(`Acct-Input-Octets`)/1024/1024 as Input_MB, (sum(`Acct-Output-Octets`)+sum(`Acct-Input-Octets`))/1024/1024 Total_MB ')
                            ->get();
        return $results;
    }

    public function getUsersMacQuery()
    {
        /*$sql = "select `acc-id`,`NAS-IP-Address`,`User-Name`,`NAS-Port`,`Acct-Status-Type`,`Acct-Session-Time`,`acc-start-ts`,`acc-stop-ts`, `Acct-Output-Octets`/1024/1024 as Output_MB, `Acct-Input-Octets`/1024/1024 as Input_MB from `acct-log`
        where `Calling-Station-Id` = _latin2 '".$_POST['mac']."'
        and (DATE(`acc-start-ts`) >= _latin2 '".$datefrom."'
        and DATE(`acc-start-ts`) <= _latin2 '".$dateto."')
        order by `acc-start-ts`";*/

        $results = AcctLog::whereRaw('`Calling-Station-Id` = _latin2 "' . $this->input['mac'] . '"')
                            ->whereRaw('DATE(`acc-start-ts`) >= _latin2 "' . dateCro2DB($this->input['date_from']) . '"')
                            ->whereRaw('DATE(`acc-start-ts`) <= _latin2 "' . dateCro2DB($this->input['date_to']) . '"')
                            ->orderBy('acc-start-ts')
                            ->selectRaw('`acc-id` as accId,`NAS-IP-Address` as nasIp,`User-Name` as username,`NAS-Port` as nasPort,`Acct-Status-Type` as status,`Acct-Session-Time` as session,`acc-start-ts` as startTs,`acc-stop-ts` as stopTs, `Acct-Output-Octets`/1024/1024 as Output_MB, `Acct-Input-Octets`/1024/1024 as Input_MB ')
                            ->get();

        return $results;
    }

    public function getUsersQuery()
    {
        /*$sql = "select `acc-id`,`NAS-IP-Address`,`Calling-Station-Id`,`NAS-Port`,`Acct-Status-Type`,`Acct-Session-Time`,`acc-start-ts`,`acc-stop-ts`, `Acct-Output-Octets`/1024/1024 as Output_MB, `Acct-Input-Octets`/1024/1024 as Input_MB from `acct-log`
        where `User-Name` = _latin2 '".$_POST['uid']."'
        and (DATE(`acc-start-ts`) >= _latin2 '".$datefrom."'
        and DATE(`acc-start-ts`) <= _latin2 '".$dateto."')
        order by `acc-start-ts`";*/

        $results = AcctLog::whereRaw('`User-Name` = _latin2 "' . $this->input['uqid'] . '"')
            ->whereRaw('DATE(`acc-start-ts`) >= _latin2 "' . dateCro2DB($this->input['date_from']) . '"')
            ->whereRaw('DATE(`acc-start-ts`) <= _latin2 "' . dateCro2DB($this->input['date_to']) . '"')
            ->orderBy('acc-start-ts')
            ->selectRaw('`acc-id` as accId,`NAS-IP-Address` as nasIp,`Calling-Station-Id` as mac,`NAS-Port` as nasPort,`Acct-Status-Type` as status,`Acct-Session-Time` as session,`acc-start-ts` as startTs,`acc-stop-ts` as stopTs, `Acct-Output-Octets`/1024/1024 as Output_MB, `Acct-Input-Octets`/1024/1024 as Input_MB ')
            ->get();

        return $results;
    }

    public function getMacTotal()
    {
        /*$sql = "select `Calling-Station-Id`, sum(`Acct-Output-Octets`)/1024/1024 as Output_MB, sum(`Acct-Input-Octets`)/1024/1024 as Input_MB, (sum(`Acct-Output-Octets`)+sum(`Acct-Input-Octets`))/1024/1024 Total_MB from `acct-log`
        where `Acct-Status-Type` = _latin2 'Stop'
        and (DATE(`acc-stop-ts`) >= _latin2 '".$datefrom."'
        and DATE(`acc-stop-ts`) <= _latin2 '".$dateto."')
        group by `Calling-Station-Id` order by Total_MB DESC";*/

        $results = AcctLog::whereRaw('`Acct-Status-Type` = _latin2 "Stop"')
            ->whereRaw('DATE(`acc-stop-ts`) >= _latin2 "' . dateCro2DB($this->input['date_from']) . '"')
            ->whereRaw('DATE(`acc-stop-ts`) <= _latin2 "' . dateCro2DB($this->input['date_to']) . '"')
            ->groupBy('Calling-Station-Id')->orderBy('Total_MB', 'desc')
            ->selectRaw('`Calling-Station-Id` as mac, sum(`Acct-Output-Octets`)/1024/1024 as Output_MB, sum(`Acct-Input-Octets`)/1024/1024 as Input_MB, (sum(`Acct-Output-Octets`)+sum(`Acct-Input-Octets`))/1024/1024 Total_MB ')
            ->get();

        return $results;
    }

    public function getMacQuery()
    {
        /*$sql = "select DATE(`acc-stop-ts`) as Datum, sum(`Acct-Output-Octets`)/1024/1024 as Output_MB, sum(`Acct-Input-Octets`)/1024/1024 as Input_MB, (sum(`Acct-Output-Octets`)+sum(`Acct-Input-Octets`))/1024/1024 Total_MB from `acct-log`
        where `Calling-Station-Id` = _latin2 '".$_POST['mac']."'
        and `Acct-Status-Type` = _latin2 'Stop'
        and (DATE(`acc-stop-ts`) >= _latin2 '".$datefrom."'
        and DATE(`acc-stop-ts`) <= _latin2 '".$dateto."')
        group by Datum order by Datum";*/

        $results = AcctLog::whereRaw('`Calling-Station-Id` = _latin2 "' . $this->input['mac'] . '"')
            ->whereRaw('`Acct-Status-Type` = _latin2 "Stop"')
            ->whereRaw('DATE(`acc-stop-ts`) >= _latin2 "' . dateCro2DB($this->input['date_from']) . '"')
            ->whereRaw('DATE(`acc-stop-ts`) <= _latin2 "' . dateCro2DB($this->input['date_to']) . '"')
            ->groupBy('Datum')->orderBy('Datum')
            ->selectRaw('DATE(`acc-stop-ts`) as Datum, sum(`Acct-Output-Octets`)/1024/1024 as Output_MB, sum(`Acct-Input-Octets`)/1024/1024 as Input_MB, (sum(`Acct-Output-Octets`)+sum(`Acct-Input-Octets`))/1024/1024 Total_MB ')
            ->get();

        return $results;
    }

    public function getUsersTotalStat()
    {
        /*$sql = "select `User-Name`, sum(`Acct-Output-Octets`)/1024/1024 as Output_MB, sum(`Acct-Input-Octets`)/1024/1024 as Input_MB, (sum(`Acct-Output-Octets`)+sum(`Acct-Input-Octets`))/1024/1024 Total_MB from `acct-log`
        where `Acct-Status-Type` = _latin2 'Stop'
        and (DATE(`acc-stop-ts`) >= _latin2 '".$datefrom."'
        and DATE(`acc-stop-ts`) <= _latin2 '".$dateto."')
        group by `User-Name` order by Total_MB DESC";*/

        $results = AcctLog::whereRaw('`Acct-Status-Type` = _latin2 "Stop"')
            ->whereRaw('DATE(`acc-stop-ts`) >= _latin2 "' . dateCro2DB($this->input['date_from']) . '"')
            ->whereRaw('DATE(`acc-stop-ts`) <= _latin2 "' . dateCro2DB($this->input['date_to']) . '"')
            ->groupBy('User-Name')->orderBy('Total_MB', 'desc')
            ->selectRaw('`User-Name` as username, sum(`Acct-Output-Octets`)/1024/1024 as Output_MB, sum(`Acct-Input-Octets`)/1024/1024 as Input_MB, (sum(`Acct-Output-Octets`)+sum(`Acct-Input-Octets`))/1024/1024 Total_MB ')
            ->get();

        return $results;
    }

    public function getUserStat()
    {
        /*$sql = "select DATE(`acc-stop-ts`) as Datum, sum(`Acct-Output-Octets`)/1024/1024 as Output_MB, sum(`Acct-Input-Octets`)/1024/1024 as Input_MB, (sum(`Acct-Output-Octets`)+sum(`Acct-Input-Octets`))/1024/1024 Total_MB from `acct-log`
        where `User-Name` = _latin2 '".$_POST['uid']."'
        and `Acct-Status-Type` = _latin2 'Stop'
        and (DATE(`acc-stop-ts`) >= _latin2 '".$datefrom."'
        and DATE(`acc-stop-ts`) <= _latin2 '".$dateto."')
        group by Datum order by Datum";*/

        $results = AcctLog::whereRaw('`User-Name` = _latin2 "' . $this->input['uqid'] . '"')
            ->whereRaw('`Acct-Status-Type` = _latin2 "Stop"')
            ->whereRaw('DATE(`acc-stop-ts`) >= _latin2 "' . dateCro2DB($this->input['date_from']) . '"')
            ->whereRaw('DATE(`acc-stop-ts`) <= _latin2 "' . dateCro2DB($this->input['date_to']) . '"')
            ->groupBy('Datum')->orderBy('Datum')
            ->selectRaw('DATE(`acc-stop-ts`) as Datum, sum(`Acct-Output-Octets`)/1024/1024 as Output_MB, sum(`Acct-Input-Octets`)/1024/1024 as Input_MB, (sum(`Acct-Output-Octets`)+sum(`Acct-Input-Octets`))/1024/1024 Total_MB ')
            ->get();

        return $results;
    }
}