<?php

namespace App\Repositories;

class UlogQuery extends UlogModelHelper
{
    private $dateTimeFrom;
    private $dateTimeTo;

    public function __construct()
    {
        parent::__construct();
        $this->dateTimeFrom = $this->dateFrom . ' ' . $this->input['time_from'];
        $this->dateTimeTo = $this->dateFrom . ' ' . $this->input['time_to'];
    }

    public function search()
    {
        /*$sql = "select raw_mac, FROM_UNIXTIME(oob_time_sec) log_time, INET_NTOA(ip_saddr) saddr from ".$tname."
        where INET_NTOA(ip_daddr) = '".$_POST['ip']."'
        and FROM_UNIXTIME(oob_time_sec) >= '".$datefrom." ".$timefrom."'
        and FROM_UNIXTIME(oob_time_sec) <= '".$datefrom." ".$timeto."'
        and ".$_POST['tipp']."_dport = '".$_POST['port']."'
        group by raw_mac, log_time order by log_time";*/

        $queryBuilder = $this->ulogModel->whereRaw('INET_NTOA(ip_daddr) = ?', $this->input['destination_ip'])
                            ->whereRaw('FROM_UNIXTIME(oob_time_sec) >= ?', $this->dateTimeFrom)
                            ->whereRaw('FROM_UNIXTIME(oob_time_sec) <= ?', $this->dateTimeTo);

        if(isset($this->input['port']) and $this->input['port']){
            $queryBuilder->where($this->input['port_type'] . '_dport', $this->input['port']);
        }

        $results = $queryBuilder->selectRaw('raw_mac, FROM_UNIXTIME(oob_time_sec, CONCAT(GET_FORMAT(DATE,"EUR"), " ", GET_FORMAT(TIME,"ISO"))) log_time, INET_NTOA(ip_saddr) saddr')
                        ->groupBy(['raw_mac', 'oob_time_sec'])->orderBy('log_time')
                        ->paginate(Config::PAGINATE);

        return $results;
    }

    public function searchLIP()
    {
        /*$sql = "select raw_mac, FROM_UNIXTIME(oob_time_sec) log_time, INET_NTOA(ip_daddr) daddr, tcp_dport, udp_dport from ".$tname."
        where INET_NTOA(ip_saddr) = '".$_POST['ip']."'
        and FROM_UNIXTIME(oob_time_sec) >= '".$datefrom." ".$timefrom."'
        and FROM_UNIXTIME(oob_time_sec) <= '".$datefrom." ".$timeto."'
        group by raw_mac, log_time order by log_time";*/

        $results = $this->ulogModel->whereRaw('INET_NTOA(ip_saddr) = ?', $this->input['source_ip'])
            ->whereRaw('FROM_UNIXTIME(oob_time_sec) >= ?', $this->dateTimeFrom)
            ->whereRaw('FROM_UNIXTIME(oob_time_sec) <= ?', $this->dateTimeTo)
            ->groupBy(['raw_mac', 'oob_time_sec'])->orderBy('log_time')
            ->selectRaw('raw_mac, FROM_UNIXTIME(oob_time_sec, CONCAT(GET_FORMAT(DATE,"EUR"), " ", GET_FORMAT(TIME,"ISO"))) log_time, INET_NTOA(ip_daddr) daddr, tcp_dport, udp_dport')
                ->paginate(Config::PAGINATE);

        return $results;
    }

}