@extends('layouts.master')

@section('content')

    <h4>Pretraga po lokalnoj IP adresi</h4>
    <div class="row">
        <div class="col-md-3">
            <label>Vrijeme</label> <br>
            <label>Izvorišna IP adresa</label>
        </div>
        <div class="col-md-3">
            {{ $time_from . ' - ' . $time_to }} <br>
            {{ $source_ip }}
        </div>
    </div>

    <br>

    @if(count($results))
    <table class="table table-striped table-bordered">
        <thead>
        <tr>
            <th>Vrijeme</th>
            <th>MAC</th>
            <th>Odredišna IP</th>
            <th>TCP port</th>
            <th>UDP port</th>
            <th>Korisnik</th>
        </tr>
        </thead>
        <tbody>
            @foreach($results as $one)
                <tr>
                    <td>{{ $one->log_time }}</td>
                    <td>{{ $one->raw_mac }}</td>
                    <td>{{ $one->daddr }}</td>
                    <td>{{ $one->tcp_dport }}</td>
                    <td>{{ $one->udp_dport }}</td>
                    <td>
                        {!! Form::open([
                                'method'=>'POST',
                                'url' => route('abuse_search_user'),
                                'style' => 'display:inline'
                            ]) !!}
                            {{ csrf_field() }}
                            {!! Form::hidden('raw_mac', $one->raw_mac) !!}
                            {!! Form::hidden('log_time', $one->log_time) !!}
                            {!! Form::submit('Potraži', ['class' => 'btn-primary']) !!}
                        {!! Form::close() !!}
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table>
    <div class="pagination"> {!! $results->render() !!} </div>
    @else
        @include('layouts.search_no_data')
    @endif

@endsection