<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">

    <link rel="stylesheet" href="{{ asset('css/bootstrap-datetimepicker.min.css') }}">

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}"></script>

    {{--https://eonasdan.github.io/bootstrap-datetimepicker/Installing/ dependeciji su moment.js fajle--}}
    <script src="{{ asset('js/moment.js') }}"></script>
    <script src="{{ asset('js/moment_locale_hr.js') }}"></script>
    <script src="{{ asset('js/bootstrap-datetimepicker.min.js') }}"></script>

</head>
<body>
    <div id="app">
        <div class="container">
            <div class="col-md-12">
                @include('layouts.nav')

                <div class="row">
                    <div class="col-md-10 col-md-offset-1">
                        <div class="panel panel-default">
                            <div class="panel-heading">{{ $pageTitle . ' ' . exec('hostname -f') }}</div>

                            <div class="panel-body">
                                @include('layouts.errors')
                                @yield('content')
                            </div>

                            <div class="panel-footer">
                                @include('layouts.footer')
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>


</body>
</html>
