@extends('layouts.master')

@section('content')

    <h4>Ukupan promet po switchevima u vremenskom periodu</h4>
    <div class="row">
        <div class="col-md-3">
            <label>Vrijeme</label>
        </div>
        <div class="col-md-3">
            {{ $datumFrom . ' - ' . $datumTo }}
        </div>
    </div>

    <br>

    @if(count($results))
        <table class="table table-striped table-bordered">
            <thead>
            <tr>
                <th>Switch IP</th>
                <th>Input MB</th>
                <th>Output MB</th>
                <th>Total MB</th>
                <th>Ports stats</th>
            </tr>
            </thead>
            <tbody>
                @foreach($results as $one)
                    <tr>
                        <td>{{ $one->NasIp }}</td>
                        <td>{{ round($one->Input_MB, 2) }}</td>
                        <td>{{ round($one->Output_MB, 2) }}</td>
                        <td>{{ round($one->Total_MB, 2) }}</td>
                        <td>
                            {!! Form::open([
                                    'method'=>'POST',
                                    'url' => route('radius_switch_stat'),
                                    'style' => 'display:inline'
                                ]) !!}
                                {{ csrf_field() }}
                                {!! Form::hidden('nas_ip', $one->NasIp) !!}
                                {!! Form::hidden('date_from', $datumFrom) !!}
                                {!! Form::hidden('date_to', $datumTo) !!}
                                {!! Form::submit('Prikaži', ['class' => 'btn-primary']) !!}
                            {!! Form::close() !!}
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    @else
        @include('layouts.search_no_data')
    @endif

@endsection