@extends('layouts.master')

@section('content')

    <h4>Spajanje po MACu u vremenskom periodu</h4>
    <div class="row">
        <div class="col-md-3">
            <label>MAC adresa</label> <br>
            <label>Vrijeme</label>
        </div>
        <div class="col-md-3">
            {{ $mac }} <br>
            {{ $date_from . ' - ' . $date_to }}
        </div>
    </div>

    <br>

    @if(count($results))
        <table class="table table-striped table-bordered">
            <thead>
            <tr>
                <th>ID</th>
                <th>Switch IP:Port</th>
                <th>Username<br>Status</th>
                <th>Start time<br>Stop time</th>
                <th>Input MB<br>Output MB</th>
                <th>Session time sec</th>
            </tr>
            </thead>
            <tbody>
                @php
                    $inputTot = $outputTot = $sessionTot = 0;
                @endphp
                @foreach($results as $one)
                    <tr>
                        <td>{{ $one->accId }}</td>
                        <td>{{ $one->nasIp . ':' . $one->nasPort }}</td>
                        <td>{{ $one->username }}<br>{{ $one->status }}</td>
                        <td>{{ datetimeDB2Cro($one->startTs) }}<br>{{ datetimeDB2Cro($one->stopTs) }}</td>
                        <td>{{ round($one->Input_MB, 2) }}<br>{{ round($one->Output_MB, 2) }}</td>
                        <td>{{ $one->session }}</td>
                    </tr>
                    @php
                        $inputTot += $one->Input_MB; $outputTot += $one->Output_MB; $sessionTot += $one->session;
                    @endphp
                @endforeach
                <tr>
                    <th class="bg-info" colspan="4">Ukupno</th>
                    <th class="bg-info">{{ round($inputTot, 2) }}<br>{{ round($outputTot, 2) }}</th>
                    <th class="bg-info">{{ $sessionTot }}</th>
                </tr>
            </tbody>
        </table>
    @else
        @include('layouts.search_no_data')
    @endif

@endsection