<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/login', ['as' => 'login', 'uses' => 'Auth\LoginController@login']);
Route::get('/', ['as' => 'home', 'uses' => 'StudomController@index']);


Route::group(['middleware' => 'auth'], function() {

    Route::get('/stat', ['as' => 'stat', 'uses' => 'StudomController@statIndex']);
    Route::post('/stat/mac_total_query', ['as' => 'stat_mac_tot_query', 'uses' => 'StudomController@statMacTotalQuery']);
    Route::post('/stat/mac_query', ['as' => 'stat_mac_query', 'uses' => 'StudomController@statMacQuery']);
    Route::post('/stat/user_total_query', ['as' => 'stat_user_tot_query', 'uses' => 'StudomController@statUserTotalQuery']);
    Route::post('/stat/user_query', ['as' => 'stat_user_query', 'uses' => 'StudomController@statUserQuery']);

    Route::get('/users', ['as' => 'user', 'uses' => 'StudomController@userIndex']);
    Route::post('/users/mac_query', ['as' => 'user_mac_query', 'uses' => 'StudomController@userMacQuery']);
    Route::post('/users/user_query', ['as' => 'user_query', 'uses' => 'StudomController@userQuery']);

    Route::get('/radius', ['as' => 'radius', 'uses' => 'StudomController@radiusIndex']);
    Route::post('/radius/switch_total_query', ['as' => 'radius_switch_tot_query', 'uses' => 'StudomController@radiusSwitchTotalQuery']);
    Route::post('/radius/switch_stat', ['as' => 'radius_switch_stat', 'uses' => 'StudomController@radiusSwitchStat']);

    Route::get('/abuse', ['as' => 'abuse', 'uses' => 'StudomController@abuseIndex']);
    Route::get('/abuse/query', ['as' => 'abuse_query', 'uses' => 'StudomController@abuseQuery']);
    Route::get('/abuse/lip_query', ['as' => 'lip_abuse_query', 'uses' => 'StudomController@abuselocalIPQuery']);
    Route::post('/abuse/search_user', ['as' => 'abuse_search_user', 'uses' => 'StudomController@abuseSearchUser']);
    Route::get('/logout', ['as' => 'logout', 'uses' => 'Auth\LoginController@logout']);

});